play.classloading.enhancers

## Class SigEnhancer

- java.lang.Object
- - play.classloading.enhancers.Enhancer
  - - play.classloading.enhancers.SigEnhancer

-     public class SigEnhancer
      extends Enhancer

  Compute a unique hash for the class signature.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class play.classloading.enhancers.Enhancer

      `Enhancer.ApplicationClassesClasspath`

  - ### Field Summary

    - ### Fields inherited from class play.classloading.enhancers.Enhancer

      `classPool`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SigEnhancer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `enhanceThisClass(ApplicationClasses.ApplicationClass applicationClass)` The magic happen here...

    - ### Methods inherited from class play.classloading.enhancers.Enhancer

      `createAnnotation, createAnnotation, getAnnotations, getAnnotations, getAnnotations, hasAnnotation, hasAnnotation, hasAnnotation, makeClass, newClassPool`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SigEnhancer

          public SigEnhancer()

  - ### Method Detail

    - #### enhanceThisClass

          public void enhanceThisClass(ApplicationClasses.ApplicationClass applicationClass)
                                throws java.lang.Exception

      Description copied from class: `Enhancer`
      The magic happen here...
      Specified by:
        `enhanceThisClass` in class `Enhancer`
      Parameters:
        `applicationClass` - The application class to construct
      Throws:
        `java.lang.Exception` - if problem occurred during construction

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly